Bug 1575895 - DHT Log flooding in mount log "key=trusted.glusterfs.dht.mds [Invalid argument]"
Summary: DHT Log flooding in mount log "key=trusted.glusterfs.dht.mds [Invalid argument]"
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: distribute
Version: rhgs-3.4
Hardware: All
OS: Linux
high
high
Target Milestone: ---
: RHGS 3.4.0
Assignee: Mohit Agrawal
QA Contact: Prasad Desala
URL:
Whiteboard:
Depends On:
Blocks: 1503137 1575910 1579755 1579757
TreeView+ depends on / blocked
 
Reported: 2018-05-08 08:28 UTC by Karan Sandha
Modified: 2018-09-17 11:14 UTC (History)
7 users (show)

Fixed In Version: glusterfs-3.12.2-9
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1575910 1579755 1579757 (view as bug list)
Environment:
Last Closed: 2018-09-04 06:48:05 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2607 None None None 2018-09-04 06:49:57 UTC

Description Karan Sandha 2018-05-08 08:28:17 UTC
Description of problem:
Log flooding of 
[2018-05-08 07:45:38.612289] I [dict.c:471:dict_get] (-->/usr/lib64/glusterfs/3.12.2/xlator/cluster/distribute.so(+0x209e0) [0x7f13d2dc09e0] -->/usr/lib64/glusterfs/3.12.2/xlator/cluster/distribute.so(+0x41605) [0x7f13d2de1605] -->/lib64/libglusterfs.so.0(dict_get+0x10c) [0x7f13e0e0dacc] ) 2-dict: !this || key=trusted.glusterfs.dht.mds [Invalid argument]

Version-Release number of selected component (if applicable):
3.12.2-8

How reproducible:
100%

Steps to Reproduce:
1. create a arbiter volume 

2. run fileop tool using mount -t nfs -o vers=4 rhsqe-repo.lab.eng.blr.redhat.com:/ /opt
/opt/qa/tools/system_light/run.sh -w /mnt/nfsv4 -t fileop -l /var/tmp/out.log

3. Check the mount log

Actual results:
Logg flooding with 
[2018-05-08 07:45:38.612289] I [dict.c:471:dict_get] (-->/usr/lib64/glusterfs/3.12.2/xlator/cluster/distribute.so(+0x209e0) [0x7f13d2dc09e0] -->/usr/lib64/glusterfs/3.12.2/xlator/cluster/distribute.so(+0x41605) [0x7f13d2de1605] -->/lib64/libglusterfs.so.0(dict_get+0x10c) [0x7f13e0e0dacc] ) 2-dict: !this || key=trusted.glusterfs.dht.mds [Invalid argument]


Expected results:
No log flooding should be there

Additional info:
SOs reports at newtsuit under BZ_report/<bug-id>

Comment 4 Amar Tumballi 2018-05-08 18:39:25 UTC
I guess this is the fix? https://review.gluster.org/19981

Comment 8 Prasad Desala 2018-05-17 10:23:09 UTC
Verified this BZ on glusterfs version glusterfs-3.12.2-10.

Followed below steps:
1) Created a arbiter volume and started it.
2) FUSE mounted on a client.
3) Ran fileop tool using mount -t nfs -o vers=4 rhsqe-repo.lab.eng.blr.redhat.com:/ /opt
/opt/qa/tools/system_light/run.sh -w /mnt/arbiter -t fileop -l /var/tmp/out.log
4) While the script in step-3 is in-progress, added 3 bricks to the arbiter volume.

In client mount logs, didn't see flooding of log messages "-dict: !this || key=trusted.glusterfs.dht.mds [Invalid argument]". These messages are only seen 3 times.

Moving this BZ to Verified.

Comment 9 errata-xmlrpc 2018-09-04 06:48:05 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2607


Note You need to log in before you can comment on or make changes to this bug.